<?php
namespace Claromentis\News\Comments;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_e8d7d527b284cadd317dfbdb10b34" . "e4e" => base64_decode("Q29tbWVudFVwZGF0ZW" . "RFdmVudFJlY2VpdmVy"), "_d3c72043723006b6" . "59492f087ddf1fdf" => base64_decode("bmV3" . "cw=="), "_191a9c69" . "4701b5e98" . "f9b02b731" . "05f5cf" => base64_decode("Q29tbWVudERlbGV0ZWRFdmVudFJlY2VpdmV" . "y"), "_d50d529d5739d103bc48" . "e65a4b513fe3" => base64_decode("Q29tbWVudEFkZGVkRXZlbnRSZWNlaXZl" . "cg=="), "_2e799a34cc60c12ca876d27b5" . "73a11eb" => base64_decode("IGFkZG" . "Vk"), "co" . "mm" . "en" . "t" => base64_decode("Y29tbWVudA=" . "="), "_4e7af63a0a4c1eafe5742f795" . "b98e323" => base64_decode("TmV3cyBjb2" . "1tZW50ICM="));
use ClaAudit;
use Claromentis\Comments\Events\CommentAddedEvent;
use Claromentis\Comments\Events\CommentDeletedEvent;
use Claromentis\Comments\Events\CommentUpdatedEvent;
use Claromentis\Comments\Model\Comment;
use Claromentis\Search\Indexing\IndexingQueue;
use Claromentis\Search\ItemType\Indexing\News;
use NewsItem;
use Symfony\Component\EventDispatcher\EventDispatcherInterface;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;






class CommentsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [CommentAddedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_d50d529d5739d103bc48e" . "65a4b513fe3"], CommentDeletedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_191a9c694701" . "b5e98f9b02b73" . "105f5cf"], CommentUpdatedEvent::EVENT_NAME => $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e8d7d527b284cadd317" . "dfbdb10b34e4e"]];
    }
    public function CommentAddedEventReceiver(CommentAddedEvent $event, $_5693d84b45564f912e36404cbe8957e8, EventDispatcherInterface $dispatcher)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            
            
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                ClaAudit::Store(AUDIT_SUCCESS, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_d3c72043723006b65949" . "2f087ddf1fdf"], $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["commen" . "t"], $comment->object_id, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4e7af63a0a4c1eafe5742f7" . "95b98e323"] . $comment->id . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_2e799a34cc60" . "c12ca876d27b5" . "73a11eb"]);
                $event->stopPropagation();
            }
        }
    }
    public function CommentDeletedEventReceiver(CommentDeletedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
    public function CommentUpdatedEventReceiver(CommentUpdatedEvent $event)
    {
        
        
        $comment = $event->GetComment();
        $_60378eae7533ef2a18e2cf710db06291 = new NewsItem();
        $_60378eae7533ef2a18e2cf710db06291->Load($comment->object_id);
        if (!$_60378eae7533ef2a18e2cf710db06291->is_draft && $_60378eae7533ef2a18e2cf710db06291->IsApproved()) {
            if ((int) $comment->aggregation === AGGREGATION_NEWS) {
                IndexingQueue::Reindex(News::TYPE_NAME, $comment->object_id);
                $event->stopPropagation();
            }
        }
    }
}